Debian Bug report logs - #501222
/usr/sbin/hcid: falls into a infinite loop

version graph

Package: bluez-utils; Maintainer for bluez-utils is Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>; Source for bluez-utils is src:bluez.

Reported by: Oleg Broytmann <phd@phd.pp.ru>

Date: Sun, 5 Oct 2008 17:33:04 UTC

Severity: important

Tags: confirmed

Found in version bluez-utils/3.36-1

Fixed in version bluez-utils/3.36-2

Done: Filippo Giunchedi <filippo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>:
Bug#501222; Package bluez-utils. (Sun, 05 Oct 2008 17:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oleg Broytmann <phd@phd.pp.ru>:
New Bug report received and forwarded. Copy sent to Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>. (Sun, 05 Oct 2008 17:33:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Oleg Broytmann <phd@phd.pp.ru>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: /usr/sbin/hcid: falls into a infinite loop
Date: Sun, 5 Oct 2008 21:30:24 +0400
Package: bluez-utils
Version: 3.36-1
File: /usr/sbin/hcid
Severity: grave
Justification: renders package unusable

Hello!

I am using a notebook with a builtin bluetooth:

$ lsusb | grep -Fi bluetooth
Bus 003 Device 004: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

In Debian 4.0 "etch" it was working perfectly; I used obexftp to backup the
address book of my mobile phone; I also used pppd to connect to the Net
using GPRS service.

After I upgraded to Debian 5 "testing soon to be lenny" bluetooth stopped
working.

For quite some time I'm using command-line passkey-agent compiled from
bluez-utils/examples (I use neither GNOME nor KDE). After upgrade to "lenny"
the passkey-agent cannot connect to hcid. When I start the agent hcid
reports in syslog:

Oct  3 21:17:01 nb2 hcid[19272]: register_passkey_agent called without any adapter info!

and then falls into an infinite loop:

Oct  3 21:17:32 nb2 last message repeated 1847660 times
Oct  3 21:18:33 nb2 last message repeated 3590576 times
Oct  3 21:19:34 nb2 last message repeated 2631673 times
Oct  3 21:20:35 nb2 last message repeated 2627346 times
Oct  3 21:21:36 nb2 last message repeated 3120581 times
Oct  3 21:22:37 nb2 last message repeated 3591808 times
Oct  3 21:23:38 nb2 last message repeated 3656546 times
Oct  3 21:24:39 nb2 last message repeated 3694883 times
Oct  3 21:25:40 nb2 last message repeated 3688772 times
Oct  3 21:26:41 nb2 last message repeated 3656076 times
Oct  3 21:27:42 nb2 last message repeated 3695098 times
Oct  3 21:28:43 nb2 last message repeated 3180151 times
Oct  3 21:29:44 nb2 last message repeated 3720729 times
Oct  3 21:30:45 nb2 last message repeated 3712572 times
Oct  3 21:31:46 nb2 last message repeated 3567973 times
Oct  3 21:32:46 nb2 last message repeated 3700042 times
Oct  3 21:33:46 nb2 last message repeated 3664592 times
Oct  3 21:34:46 nb2 last message repeated 3685666 times
Oct  3 21:35:43 nb2 last message repeated 3278761 times

After that it cannot be killed, only kill -9 really kills it, and after
being killed it won't start - it logs "Unable to get on D-BUS"; to overcome
this I have to restart dbus (could the entire problem be related to dbus,
not bluetooth or hcid?); then hcid starts but still doesn't work.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing-proposed-updates
  APT policy: (500, 'testing-proposed-updates'), (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.26 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=ru_RU.KOI8-R (charmap=KOI8-R)
Shell: /bin/sh linked to /bin/bash

Versions of packages bluez-utils depends on:
ii  dbus                         1.2.1-3     simple interprocess messaging syst
ii  libbluetooth2                3.36-1      Library to use the BlueZ Linux Blu
ii  libc6                        2.7-13      GNU C Library: Shared libraries
ii  libdbus-1-3                  1.2.1-3     simple interprocess messaging syst
ii  libglib2.0-0                 2.16.5-1    The GLib library of C routines
ii  libusb-0.1-4                 2:0.1.12-12 userspace USB programming library
ii  lsb-base                     3.2-20      Linux Standard Base 3.2 init scrip
ii  makedev                      2.3.1-88    creates device files in /dev
ii  module-init-tools            3.4-1       tools for managing Linux kernel mo
ii  udev                         0.125-6     /dev/ and hotplug management daemo

Versions of packages bluez-utils recommends:
pn  bluez-audio                   <none>     (no description available)
pn  obex-data-server              <none>     (no description available)

Versions of packages bluez-utils suggests:
pn  bluez-firmware                <none>     (no description available)
pn  bluez-gnome | kdebluetooth    <none>     (no description available)

-- no debconf information

Oleg.
-- 
     Oleg Broytmann            http://phd.pp.ru/            phd@phd.pp.ru
           Programmers don't die, they just GOSUB without RETURN.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>:
Bug#501222; Package bluez-utils. (Sun, 05 Oct 2008 18:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filippo Giunchedi <filippo@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>. (Sun, 05 Oct 2008 18:12:03 GMT) Full text and rfc822 format available.

Message #10 received at 501222@bugs.debian.org (full text, mbox):

From: Filippo Giunchedi <filippo@debian.org>
To: Oleg Broytmann <phd@phd.pp.ru>, 501222@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [Pkg-bluetooth-maintainers] Bug#501222: /usr/sbin/hcid: falls into a infinite loop
Date: Sun, 5 Oct 2008 20:10:41 +0200
tags 501222 + confirmed
thanks

On Sun, Oct 05, 2008 at 09:30:24PM +0400, Oleg Broytmann wrote:
> For quite some time I'm using command-line passkey-agent compiled from
> bluez-utils/examples (I use neither GNOME nor KDE). After upgrade to "lenny"
> the passkey-agent cannot connect to hcid. When I start the agent hcid
> reports in syslog:
> 
> Oct  3 21:17:01 nb2 hcid[19272]: register_passkey_agent called without any adapter info!
> 
> and then falls into an infinite loop:

Thanks for your report, I can confirm this.

I'm going to look at the issue ASAP (hopefully tomorrow), as a temporary
workaround it seems to work by passing --default instead of a device address,
can you confirm this?

thanks,
filippo
--
Filippo Giunchedi - http://esaurito.net
PGP key: 0x6B79D401
random quote follows:

Gretchen: Donnie Darko? What the hell kind of name is that? It's like
          some sort of superhero or something.
  Donnie: What makes you think I'm not?
-- from Donnie Darko (2001)




Tags added: confirmed Request was from Filippo Giunchedi <filippo@debian.org> to control@bugs.debian.org. (Sun, 05 Oct 2008 18:12:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>:
Bug#501222; Package bluez-utils. (Sun, 05 Oct 2008 18:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oleg Broytmann <phd@phd.pp.ru>:
Extra info received and forwarded to list. Copy sent to Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>. (Sun, 05 Oct 2008 18:24:02 GMT) Full text and rfc822 format available.

Message #17 received at 501222@bugs.debian.org (full text, mbox):

From: Oleg Broytmann <phd@phd.pp.ru>
To: Filippo Giunchedi <filippo@debian.org>
Cc: 501222@bugs.debian.org, control@bugs.debian.org
Subject: Re: [Pkg-bluetooth-maintainers] Bug#501222: /usr/sbin/hcid: falls into a infinite loop
Date: Sun, 5 Oct 2008 22:21:07 +0400
On Sun, Oct 05, 2008 at 08:10:41PM +0200, Filippo Giunchedi wrote:
> as a temporary
> workaround it seems to work by passing --default instead of a device address,
> can you confirm this?

   Yes, --default helps. hcid logs:

Oct  5 22:14:25 nb2 hcid[14184]: Default passkey agent (:1.45, /org/bluez/passkey_agent_30026) registered

   then I ran obexftp:

Oct  5 22:15:59 nb2 hcid[14184]: link_key_request

   and stopped (Ctrl+C) passkey-agent:

Oct  5 22:16:26 nb2 hcid[14184]: Default passkey agent (:1.45, /org/bluez/passkey_agent_30026) unregistered

   Thank you very much, that greatly relieves the pain!

Oleg.
-- 
     Oleg Broytmann            http://phd.pp.ru/            phd@phd.pp.ru
           Programmers don't die, they just GOSUB without RETURN.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>:
Bug#501222; Package bluez-utils. (Mon, 06 Oct 2008 13:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filippo Giunchedi <filippo@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>. (Mon, 06 Oct 2008 13:45:05 GMT) Full text and rfc822 format available.

Message #22 received at 501222@bugs.debian.org (full text, mbox):

From: Filippo Giunchedi <filippo@debian.org>
To: Oleg Broytmann <phd@phd.pp.ru>
Cc: 501222@bugs.debian.org, control@bugs.debian.org
Subject: Re: [Pkg-bluetooth-maintainers] Bug#501222: /usr/sbin/hcid: falls into a infinite loop
Date: Mon, 6 Oct 2008 15:41:38 +0200
severity 501222 important
thanks

On Sun, Oct 05, 2008 at 10:21:07PM +0400, Oleg Broytmann wrote:
> On Sun, Oct 05, 2008 at 08:10:41PM +0200, Filippo Giunchedi wrote:
> > as a temporary
> > workaround it seems to work by passing --default instead of a device address,
> > can you confirm this?
> 
>    Yes, --default helps. hcid logs:
> 
> Oct  5 22:14:25 nb2 hcid[14184]: Default passkey agent (:1.45, /org/bluez/passkey_agent_30026) registered
> 
>    then I ran obexftp:
> 
> Oct  5 22:15:59 nb2 hcid[14184]: link_key_request
> 
>    and stopped (Ctrl+C) passkey-agent:
> 
> Oct  5 22:16:26 nb2 hcid[14184]: Default passkey agent (:1.45, /org/bluez/passkey_agent_30026) unregistered
> 
>    Thank you very much, that greatly relieves the pain!

okay, I'm downgrading this bug for now to important since passkey-agent isn't
shipped compiled by default.

It seems that address specific passkey agent isn't working for 3.36, though one
should use always --default. I'm about to upload a package which ships such
agent.

filippo
--
Filippo Giunchedi - http://esaurito.net
PGP key: 0x6B79D401
random quote follows:

Everyone is entitled to his own opinion, but not his own facts.
-- Daniel Patrick Moynihan




Severity set to `important' from `grave' Request was from Filippo Giunchedi <filippo@debian.org> to control@bugs.debian.org. (Mon, 06 Oct 2008 13:45:06 GMT) Full text and rfc822 format available.

Reply sent to Filippo Giunchedi <filippo@debian.org>:
You have taken responsibility. (Mon, 06 Oct 2008 15:15:13 GMT) Full text and rfc822 format available.

Notification sent to Oleg Broytmann <phd@phd.pp.ru>:
Bug acknowledged by developer. (Mon, 06 Oct 2008 15:15:14 GMT) Full text and rfc822 format available.

Message #29 received at 501222-close@bugs.debian.org (full text, mbox):

From: Filippo Giunchedi <filippo@debian.org>
To: 501222-close@bugs.debian.org
Subject: Bug#501222: fixed in bluez-utils 3.36-2
Date: Mon, 06 Oct 2008 14:47:03 +0000
Source: bluez-utils
Source-Version: 3.36-2

We believe that the bug you reported is fixed in the latest version of
bluez-utils, which is due to be installed in the Debian FTP archive:

bluetooth_3.36-2_all.deb
  to pool/main/b/bluez-utils/bluetooth_3.36-2_all.deb
bluez-audio_3.36-2_amd64.deb
  to pool/main/b/bluez-utils/bluez-audio_3.36-2_amd64.deb
bluez-cups_3.36-2_amd64.deb
  to pool/main/b/bluez-utils/bluez-cups_3.36-2_amd64.deb
bluez-pcmcia-support_3.36-2_amd64.deb
  to pool/main/b/bluez-utils/bluez-pcmcia-support_3.36-2_amd64.deb
bluez-utils_3.36-2.diff.gz
  to pool/main/b/bluez-utils/bluez-utils_3.36-2.diff.gz
bluez-utils_3.36-2.dsc
  to pool/main/b/bluez-utils/bluez-utils_3.36-2.dsc
bluez-utils_3.36-2_amd64.deb
  to pool/main/b/bluez-utils/bluez-utils_3.36-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 501222@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Filippo Giunchedi <filippo@debian.org> (supplier of updated bluez-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 06 Oct 2008 15:50:11 +0200
Source: bluez-utils
Binary: bluez-utils bluez-pcmcia-support bluez-cups bluez-audio bluetooth
Architecture: source all amd64
Version: 3.36-2
Distribution: unstable
Urgency: medium
Maintainer: Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>
Changed-By: Filippo Giunchedi <filippo@debian.org>
Description: 
 bluetooth  - Bluetooth stack utilities
 bluez-audio - Bluetooth audio support
 bluez-cups - Bluetooth printer driver for CUPS
 bluez-pcmcia-support - PCMCIA support files for BlueZ 2.0 Bluetooth tools
 bluez-utils - Bluetooth tools and daemons
Closes: 501222
Changes: 
 bluez-utils (3.36-2) unstable; urgency=medium
 .
   * Add patch to always make example passkey-agent register as default agent,
     as otherwise it wouldn't work (Closes: #501222)
Checksums-Sha1: 
 63707d4522a326e37227e47459c0dfa45015629d 1627 bluez-utils_3.36-2.dsc
 4347591749ab43c6684505d1f355ab089630c00a 21996 bluez-utils_3.36-2.diff.gz
 61ac11626900cb75ca6b04e0706912da4afd3f76 22472 bluetooth_3.36-2_all.deb
 9ea4cfced9a47348b35370b3a2c72bc08cdf6d2c 381486 bluez-utils_3.36-2_amd64.deb
 b41d84b99ce0f30e7f922d4ef192beb87962afc1 24118 bluez-pcmcia-support_3.36-2_amd64.deb
 8d5fa32f9a54e01c21be529349ba920f383f65fb 39984 bluez-cups_3.36-2_amd64.deb
 75df594a63e86e801555eb505fd6a17602a34f83 137654 bluez-audio_3.36-2_amd64.deb
Checksums-Sha256: 
 e4371cfa44abb23cbb22acfbbb28735335d064dfeaff30cb10f983241abfc7c8 1627 bluez-utils_3.36-2.dsc
 43ddd62c3df6bd40a524d0428e488f214ac7b2f7c42fdf6b02c4706f4ca2cba9 21996 bluez-utils_3.36-2.diff.gz
 4b9a0658b548cabc7f1cb2dddb489dce9e7f20ced2d477f536fec2f3f63ace4a 22472 bluetooth_3.36-2_all.deb
 ffe3b0cea27ac66272440a0e2fc1f7c416ae9178c7dde19b660070e336d3e301 381486 bluez-utils_3.36-2_amd64.deb
 6d326b36518749e5cd9eba6c576266b4fc9fbafe3890447e8ee1892912d81087 24118 bluez-pcmcia-support_3.36-2_amd64.deb
 e47ae4453c0c09fe0b99c062c90d6b7f191d510bd6ac310cb1d398ba477089c9 39984 bluez-cups_3.36-2_amd64.deb
 95eaf5890313725a169dfc57f0f973a3c5d744cb3362093732762c9ed2fbff47 137654 bluez-audio_3.36-2_amd64.deb
Files: 
 9f852e69883f9e6b0795cc4e62f9be0e 1627 admin optional bluez-utils_3.36-2.dsc
 3ea33bbb2896332e8f4e0402c132cd72 21996 admin optional bluez-utils_3.36-2.diff.gz
 9705c227cc3dd179a2bf3f0e56b6e6df 22472 admin optional bluetooth_3.36-2_all.deb
 15af49f599770e8cd0c0b6ea38ac4414 381486 admin optional bluez-utils_3.36-2_amd64.deb
 e2fe5e5fe346661d5cc0484dee88d684 24118 admin extra bluez-pcmcia-support_3.36-2_amd64.deb
 c3365901228b38f34f362092824c77a7 39984 admin optional bluez-cups_3.36-2_amd64.deb
 95f11430f79ac8eac94db904b1a25d8f 137654 admin optional bluez-audio_3.36-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkjqIUkACgkQABzeamt51AHLawCgsksD5fV2NaXaCsYYHzRoDoab
1kMAoIc4WPKqRasUBPX8Y6+wwh0xRQOv
=65Pv
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Jan 2009 07:26:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 15:58:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.